[API Reference](../README.md) > [VoteWithSpecifiedAmountsOptions](../interfaces/VoteWithSpecifiedAmountsOptions.md)

# Interface: VoteWithSpecifiedAmountsOptions

## Hierarchy

 [ProposalIdOption](ProposalIdOption.md)

**↳ VoteWithSpecifiedAmountsOptions**

## Index

### Properties

* [proposalId](VoteWithSpecifiedAmountsOptions.md#proposalId)
* [reputation](VoteWithSpecifiedAmountsOptions.md#reputation)
* [vote](VoteWithSpecifiedAmountsOptions.md#vote)
* [voterAddress](VoteWithSpecifiedAmountsOptions.md#voterAddress)

---

## Properties

<a id="proposalId"></a>

###  proposalId

**● proposalId**: *[Hash](../#Hash)*

*Inherited from [ProposalIdOption](ProposalIdOption.md).[proposalId](ProposalIdOption.md#proposalId)*

*Defined in [wrappers/iIntVoteInterface.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L66)*

___
<a id="reputation"></a>

###  reputation

**● reputation**: * `BigNumber` &#124; `string`
*

*Defined in [wrappers/iIntVoteInterface.ts:56](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L56)*

___
<a id="vote"></a>

###  vote

**● vote**: *`number`*

*Defined in [wrappers/iIntVoteInterface.ts:57](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L57)*

___
<a id="voterAddress"></a>

### `<Optional>` voterAddress

**● voterAddress**: *[Address](../#Address)*

*Defined in [wrappers/iIntVoteInterface.ts:58](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L58)*

___

